﻿@model ARGNS.Model.Implementations.View.JsonObjectResult
@{
    RecordsetView mRecordSet = Newtonsoft.Json.JsonConvert.DeserializeObject<RecordsetView>(Model.Others.Where(c => c.Key == "jsonQueryResult").FirstOrDefault().Value);
    List<string> mBPList = new List<string>();
    Dictionary<string, string> mBPInfoDictionary = new Dictionary<string, string>();
    if (mRecordSet.Row != null)
    {
        foreach (RecordsetRowView mRow in mRecordSet.Row)
        {
            mBPList.Add(mRow.Property.Where(c => c.Name == "CODIGO").FirstOrDefault().Value);
            if (mBPInfoDictionary.Where(c => c.Key == mRow.Property.Where(d => d.Name == "CODIGO").FirstOrDefault().Value).FirstOrDefault().Key == null)
            {
                string code = "";
                string name = "";
                if (mRow.Property.Where(c => c.Name == "CODIGO").FirstOrDefault() != null)
                {
                    code = mRow.Property.Where(c => c.Name == "CODIGO").FirstOrDefault().Value;
                }
                if (mRow.Property.Where(c => c.Name == "NOMBRE").FirstOrDefault() != null)
                {
                    name = mRow.Property.Where(c => c.Name == "NOMBRE").FirstOrDefault().Value;
                }

                mBPInfoDictionary.Add(code, name);
            }
        }
        mBPList = mBPList.Distinct().ToList();
    }
}
@if (mRecordSet.Row != null)
{
    <div class="panel panel-default">
        <div class="panel-heading clearfix">
            <i class="icon-calendar"></i>
            <h3 class="panel-title">@CustomerAgingResource.RV</h3>
        </div>
        <br />
        <div class="panel-body">
            <div class="panel-group" id="accordion3">
                @foreach (string mBP in mBPList)
                {
                    double balanceSum = 0;
                    double sumfrom0to30 = 0;
                    double sumfrom31to60 = 0;
                    double sumfrom61to90 = 0;
                    double sumfrom90to120 = 0;
                    double sumplus120 = 0;

                    <div class="panel panel-default">
                        <div class="panel-heading">
                            <h4 class="panel-title">
                                <a class="accordion-toggle collapsed" data-toggle="collapse" data-parent="#accordion3" href="#collapse-@mBP">
                                    @mBP - @mBPInfoDictionary.Where(c => c.Key == mBP).FirstOrDefault().Value
                                </a><i class="indicator glyphicon  pull-right glyphicon-chevron-down"></i>
                            </h4>
                        </div>
                        <div id="collapse-@mBP" class="panel-collapse collapse" style="height: auto;">
                            <div class="panel-body">
                                <div class="table-responsive">
                                    <table class="table table-striped">
                                        <thead>
                                            <tr>
                                                <th>@BusinessPartners.CC</th>
                                                <th>@BusinessPartners.CN</th>
                                                <th>@CustomerAgingResource.TT</th>
                                                <th>@CustomerAgingResource.SDT</th>
                                                <th>@CustomerAgingResource.DN</th>
                                                <th>@CustomerAgingResource.PD</th>
                                                <th>@CustomerAgingResource.DD</th>
                                                <th>@CustomerAgingResource.FNF</th>
                                                <th>@CustomerAgingResource.FNT</th>
                                                <th>@CustomerAgingResource.BD</th>
                                                <th>0 - 30</th>
                                                <th>31 - 60</th>
                                                <th>61 - 90</th>
                                                <th>91 - 120</th>
                                                <th>121+</th>
                                            </tr>
                                        </thead>
                                        <tbody>
                                            @foreach (RecordsetRowView mRow in mRecordSet.Row)
                                            {
                                                if (mRow.Property.Where(c => c.Name == "CODIGO" && c.Value == mBP).Count() > 0)
                                                {
                                                    RecordsetRowPropertyView mCustNum = mRow.Property.Where(c => c.Name == "CODIGO").FirstOrDefault();
                                                    RecordsetRowPropertyView mCustName = mRow.Property.Where(c => c.Name == "NOMBRE").FirstOrDefault();
                                                    RecordsetRowPropertyView mTransTypeDesc = mRow.Property.Where(c => c.Name == "TRANSTYPEDESC").FirstOrDefault();
                                                    RecordsetRowPropertyView mDocSubTypeOINV = mRow.Property.Where(c => c.Name == "DOCSUBTYPEOINV").FirstOrDefault();
                                                    RecordsetRowPropertyView mDocNum = mRow.Property.Where(c => c.Name == "MOVSAP").FirstOrDefault();
                                                    RecordsetRowPropertyView mDocDate = mRow.Property.Where(c => c.Name == "FECHACONT").FirstOrDefault();
                                                    RecordsetRowPropertyView mDocDueDate = mRow.Property.Where(c => c.Name == "FECHAVENC").FirstOrDefault();
                                                    RecordsetRowPropertyView mTransTypeNum = mRow.Property.Where(c => c.Name == "TRANSTYPENUM").FirstOrDefault();
                                                    RecordsetRowPropertyView mFolNumFrom = null;
                                                    RecordsetRowPropertyView mFolNumTo = null;
                                                    RecordsetRowPropertyView mTOTALSystem = mRow.Property.Where(c => c.Name == "TOTALSystem").FirstOrDefault();
                                                    RecordsetRowPropertyView mVENCIDO1A30 = mRow.Property.Where(c => c.Name == "VENCIDO1A30").FirstOrDefault();
                                                    RecordsetRowPropertyView mVENCIDO31A60 = mRow.Property.Where(c => c.Name == "VENCIDO31A60").FirstOrDefault();
                                                    RecordsetRowPropertyView mVENCIDO61A90 = mRow.Property.Where(c => c.Name == "VENCIDO61A90").FirstOrDefault();
                                                    RecordsetRowPropertyView mVENCIDO91A120 = mRow.Property.Where(c => c.Name == "VENCIDO91A120").FirstOrDefault();
                                                    RecordsetRowPropertyView mVENCIDOMAS121 = mRow.Property.Where(c => c.Name == "VENCIDOMAS121").FirstOrDefault();
                                                    switch (mTransTypeNum.Value)
                                                    {
                                                        case "13":
                                                            mFolNumFrom = mRow.Property.Where(c => c.Name == "FOLNUMFROMOINV").FirstOrDefault();
                                                            mFolNumTo = mRow.Property.Where(c => c.Name == "FOLNUMTOOINV").FirstOrDefault();
                                                            break;
                                                        case "14":
                                                            mFolNumFrom = mRow.Property.Where(c => c.Name == "FOLNUMFROMORIN").FirstOrDefault();
                                                            mFolNumTo = mRow.Property.Where(c => c.Name == "FOLNUMTOORIN").FirstOrDefault();
                                                            break;
                                                        case "203":
                                                            mFolNumFrom = mRow.Property.Where(c => c.Name == "FOLNUMFROMODPI").FirstOrDefault();
                                                            mFolNumTo = mRow.Property.Where(c => c.Name == "FOLNUMTOODPI").FirstOrDefault();
                                                            break;
                                                        default:
                                                            break;
                                                    }
                                                    <tr>
                                                        <td>@(mCustNum != null ? mCustNum.Value : "")</td>
                                                        <td>@(mCustName != null ? mCustName.Value : "")</td>
                                                        <td>@(mTransTypeDesc != null ? mTransTypeDesc.Value : "")</td>
                                                        @switch ((mDocSubTypeOINV != null ? mDocSubTypeOINV.Value : ""))
                                                        {
                                                            case "DN":
                                                                <td>A/R Debit Memo</td>
                                                                break;
                                                            case "IE":
                                                                <td>A/R Invoice Exempt</td>
                                                                break;
                                                            case "IB":
                                                                <td>A/R Bill</td>
                                                                break;
                                                            case "EB":
                                                                <td>A/R Exempt Bill</td>
                                                                break;
                                                            case "IX":
                                                                <td>A/R Export Invoice</td>
                                                                break;
                                                            case "IR":
                                                                <td>A/R Invoice & Receipt</td>
                                                                break;
                                                            case "RI":
                                                                <td>A/R Reserve Invoice</td>
                                                                break;
                                                            default:
                                                                <td></td>
                                                                break;
                                                        }
                                                        <td>@(mDocNum != null ? mDocNum.Value : "")</td>
                                                        <td>@(mDocDate != null ? mDocDate.Value : "")</td>
                                                        <td>@(mDocDueDate != null ? mDocDueDate.Value : "")</td>
                                                        <td>@(mFolNumFrom != null ? mFolNumFrom.Value : "")</td>
                                                        <td>@(mFolNumTo != null ? mFolNumTo.Value : "")</td>
                                                        <td>@(mTOTALSystem != null ? Convert.ToDouble(mTOTALSystem.Value).ToString("F2", CultureInfo.InvariantCulture) : "0.00")</td>
                                                        <td>@(mVENCIDO1A30 != null ? Convert.ToDouble(mVENCIDO1A30.Value).ToString("F2", CultureInfo.InvariantCulture) : "0.00")</td>
                                                        <td>@(mVENCIDO31A60 != null ? Convert.ToDouble(mVENCIDO31A60.Value).ToString("F2", CultureInfo.InvariantCulture) : "0.00")</td>
                                                        <td>@(mVENCIDO61A90 != null ? Convert.ToDouble(mVENCIDO61A90.Value).ToString("F2", CultureInfo.InvariantCulture) : "0.00")</td>
                                                        <td>@(mVENCIDO91A120 != null ? Convert.ToDouble(mVENCIDO91A120.Value).ToString("F2", CultureInfo.InvariantCulture) : "0.00")</td>
                                                        <td>@(mVENCIDOMAS121 != null ? Convert.ToDouble(mVENCIDOMAS121.Value).ToString("F2", CultureInfo.InvariantCulture) : "0.00")</td>
                                                    </tr>

                                                    balanceSum += Convert.ToDouble(mTOTALSystem.Value);
                                                    sumfrom0to30 += Convert.ToDouble(mVENCIDO1A30.Value);
                                                    sumfrom31to60 += Convert.ToDouble(mVENCIDO31A60.Value);
                                                    sumfrom61to90 += Convert.ToDouble(mVENCIDO61A90.Value);
                                                    sumfrom90to120 += Convert.ToDouble(mVENCIDO91A120.Value);
                                                    sumplus120 += Convert.ToDouble(mVENCIDOMAS121.Value);

                                                }
                                            }
                                            <tr>
                                                <td>&nbsp;</td>
                                                <td>&nbsp;</td>
                                                <td>&nbsp;</td>
                                                <td>&nbsp;</td>
                                                <td>&nbsp;</td>
                                                <td>&nbsp;</td>
                                                <td>&nbsp;</td>
                                                <td>&nbsp;</td>
                                                <td>&nbsp;</td>
                                                <td><strong>@(balanceSum.ToString("F2", CultureInfo.InvariantCulture))</strong></td>
                                                <td><strong>@(sumfrom0to30.ToString("F2", CultureInfo.InvariantCulture))</strong></td>
                                                <td><strong>@(sumfrom31to60.ToString("F2", CultureInfo.InvariantCulture))</strong></td>
                                                <td><strong>@(sumfrom61to90.ToString("F2", CultureInfo.InvariantCulture))</strong></td>
                                                <td><strong>@(sumfrom90to120.ToString("F2", CultureInfo.InvariantCulture))</strong></td>
                                                <td><strong>@(sumplus120.ToString("F2", CultureInfo.InvariantCulture))</strong></td>
                                            </tr>
                                        </tbody>
                                    </table>
                                </div>
                            </div>
                        </div>
                    </div>
                }
                <script type='text/javascript'>
                    function toggleChevron(e) {
                        $(e.target)
                            .prev('.panel-heading')
                            .find("i.indicator")
                            .toggleClass('glyphicon-chevron-down glyphicon-chevron-up');
                    }

                    function toggleChevronDown(e) {
                        $(e.target)
                            .prev('.panel-heading')
                            .find("i.indicator")
                            .toggleClass('glyphicon-chevron-up glyphicon-chevron-down');
                    }

                    $('#accordion3').on('show.bs.collapse', toggleChevronDown);
                    $('#accordion3').on('hide.bs.collapse', toggleChevron);
                </script>
            </div>
        </div>

    </div>
}